#ifndef BULLET_H
#define BULLET_H

#include "entity.h"

class CBullet : public IMovableEntity
{
public:
    CBullet() { m_Sprite = NULL; m_X = m_Y = m_XVel = 0; m_YVel = -400; m_Alive = true; }
    virtual ~CBullet();

    void Init( CSprite* sprite ) {m_Sprite = sprite; m_X = m_Y = m_XVel = 0; m_YVel = -400; m_Alive = true;}

    void Update( int deltaT );
    void Draw( SDL_Surface* screen );

};

#endif // BULLET_H
